/* MEDIA QUERIES */

@media not all and (min-width: 1536px) {
  :root {
    --wp--custom--wrapper--px: 90px !important;
  }
}

@media not all and (min-width: 1280px) {
  :root {
    --wp--custom--wrapper--px: 80px !important;
    --wp--preset--font-size--52: 40px !important;
    --wp--preset--font-size--44: 32px !important;
  }
}

@media not all and (min-width: 1024px) {
  :root {
    --wp--custom--wrapper--px: 60px !important;
    --wp--custom--wrapper--gap: 60px !important;
  }
}

@media not all and (min-width: 768px) {
  :root {
    --wp--custom--wrapper--px: 40px !important;
    --wp--custom--wrapper--gap: 40px !important;
    --wp--preset--font-size--52: 28px !important;
    --wp--preset--font-size--44: 24px !important;
  }
}

@media not all and (min-width: 640px) {
  :root {
    --wp--custom--wrapper--padding: 20px !important;
  }
}

@media not all and (min-width: 391px) {
}

/* GENERAL */

html {
  scroll-behavior: smooth;
}

p:empty {
  display: none;
}

:root {
  --black: var(--wp--preset--color--custom-black);
  --white: var(--wp--preset--color--custom-white);
  --red: var(--wp--preset--color--custom-red);
  --grey: var(--wp--preset--color--custom-grey);
  --dark-blue: var(--wp--preset--color--custom-dark-blue);
  --px: var(--wp--custom--wrapper--px);
  --gap: var(--wp--custom--wrapper--gap);
}

/* HEADER */

.logo-header {
  fill: var(--black);
  transition: fill 0.3s ease-out;
}

.logo-header:hover {
  fill: var(--red);
}

.nav-top-hidden {
  display: none;
}

.menu-item:not(.custom-btn-1, .custom-btn-2) a{
  font-family: var(--wp--preset--font-family--host-grotesk);
  font-weight: 700;
  font-size: 18px;
  text-transform: uppercase;
  color: var(--black);
  transition: all 0.3s ease-out;
}

.menu-item:not(.custom-btn-1, .custom-btn-2) a:hover,
.current-menu-item:not(.custom-btn-1, .custom-btn-2) a:hover {
  color: var(--red) !important;
}

/* MENU MOBILE */

.menu-mobile {
  position: fixed;
  z-index: 2;
  top: 0;
  right: 0;
  width: 100vw;
  height: 100dvh;
  transform: translateX(100%);
  transition: height 0.3s ease-out, transform 0.4s ease-out;
}

.menu-closed {
  transform: translateX(100%);
}

.menu-opened {
  transform: translateX(0%);
}

/* CUSTOM BTN */

.custom-btn-1 a, .custom-btn-2 a {
  border-radius: 18px;
  padding: 12px 24px;
  font-family: var(--wp--preset--font-family--host-grotesk);
  font-weight: 700;
  transition: all 0.3s ease-out;
}

.custom-btn-1 a {
  color: var(--white);
  background: var(--red);
  border: solid 1px;
  border-color: var(--red);
}

.custom-btn-1:hover a {
  background: #BD2629;
  border-color: #BD2629;
}

.custom-btn-2 a {
  color: var(--white);
  background: var(--dark-blue);
  border: solid 1px var(--dark-blue);
}

.custom-btn-2:hover a {
  color: var(--dark-blue);
  background: transparent;
}